package cn.com.tenlion.materialstore.pojo.vos.materialmap;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialMapVO
 * @Description: 经纬度素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:01:59
 * @Version: 3.0
 **/
@ApiModel
public class MaterialMapVO {

    @ApiModelProperty(name = "materialMapLong", value = "经度")
    @CheckNumberAnnotation(name = "经度")
    private Double materialMapLong;
    @ApiModelProperty(name = "materialMapLat", value = "纬度")
    @CheckNumberAnnotation(name = "纬度")
    private Double materialMapLat;
    @ApiModelProperty(name = "materialMapAddress", value = "地址")
    private String materialMapAddress;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;

    public Double getMaterialMapLong() {
        return materialMapLong == null ? 0D : materialMapLong;
    }

    public void setMaterialMapLong(Double materialMapLong) {
        this.materialMapLong = materialMapLong;
    }

    public Double getMaterialMapLat() {
        return materialMapLat == null ? 0D : materialMapLat;
    }

    public void setMaterialMapLat(Double materialMapLat) {
        this.materialMapLat = materialMapLat;
    }

    public String getMaterialMapAddress() {
        return materialMapAddress == null ? "" : materialMapAddress.trim();
    }

    public void setMaterialMapAddress(String materialMapAddress) {
        this.materialMapAddress = materialMapAddress;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
